Page 5 of 5 FirstFirst ... 345
Results 41 to 46 of 46

Thread: AMD driver RX 580

  1. #41
    Join Date
    Jun 2008
    Location
    netherlands
    Posts
    587

    Default Re: AMD driver RX 580

    Installed openSUSE Leap 15.1 x86 again struggling with AMD driver RX580 with opengl 3.3 or higher.
    Again the SLED/SLES 15 is not working and thwere is no Leap 15.1 option to choose.
    Again made a ticket for this by AMD


    Code:
    linux-qvsd:/home/anton/Downloads/amdgpu-pro-19.30-844693-sle-15 # ./amdgpu-pro-install -y --opencl=pal,legacy
    tee: /etc/yum.repos.d/amdgpu-pro-local.repo: No such file or directory
    [amdgpu-pro-local]
    Name=AMD amdgpu Pro local repository
    baseurl=file:///var/opt/amdgpu-pro-local
    enabled=1
    gpgcheck=0

  2. #42
    Join Date
    Jun 2008
    Location
    netherlands
    Posts
    587

    Default Re: AMD driver RX 580

    Added repository amd driver to yast, problem solved

  3. #43
    Join Date
    Jun 2008
    Location
    netherlands
    Posts
    587

    Default Re: AMD driver RX 580

    AND again after updated software problems with amdgpu-pro drivers. Now I can not activate the second monitor anymore.
    Really annoying graphic drives and Linux openSuse

  4. #44
    Join Date
    Jun 2008
    Location
    netherlands
    Posts
    587

    Default Re: AMD driver RX 580

    OpenSuse Leap 15.1 recognized the monitor but I cannot activate. It stays off ?

  5. #45
    Join Date
    Jun 2008
    Location
    netherlands
    Posts
    587

    Default Re: AMD driver RX 580

    Solved by choosing an other Displayport for the main monitor now the second monitor is working.
    I have no idea why but it worked!

  6. #46

    Default Re: AMD driver RX 580

    I downloaded amdgpu-pro-18.40-673869-sle-15.tar.xz and amdgpu-pro-19.50-967960-sle-15.tar.xz, extract them, and looked in "amdgpu-install" script.

    From /etc/os-release: ID="opensuse-leap".

    For 18.40:
    Code:
            sles|sled|opensuse)
                DNF=zypper
                OS_CLASS=opensuse
                OS_PKG=""
                RMPKG=remove
                ;;
    And for 19.50:
    Code:
            sles|sled|opensuse*)
                DNF=zypper
                OS_CLASS=opensuse
                OS_PKG=""
                RMPKG=remove
                ;;
    All installation work goes with tag "OS_CLASS=opensuse", not SLED and not SLES.
    It looks like an easy solution.
    Maybe now all works good enough.

Page 5 of 5 FirstFirst ... 345

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •